Changeset 95472 in spip-zone


Ignore:
Timestamp:
Feb 25, 2016, 11:02:06 AM (4 years ago)
Author:
cedric@…
Message:

on est forcement en PHP 5.1+, pas la peine de faire ce test

Location:
_plugins_/facteur/trunk
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • _plugins_/facteur/trunk/classes/facteur.php

    r95471 r95472  
    140140                        }
    141141                       
    142                         // À partir de PHP 5, on peut tester la sécurité de la connexion
    143                         if (intval(phpversion()) >= 5) {
    144                                 if ($options['smtp_secure'] == 'ssl') {
    145                                         $this->SMTPSecure = 'ssl';
    146                                 }
    147                                 if ($options['smtp_secure'] == 'tls') {
    148                                         $this->SMTPSecure = 'tls';
    149                                 }
    150                                
    151                                 // Pour le moment on remet l'ancien fonctionnement :
    152                                 // on ne doit pas tester les certificats si pas demandé explicitement avec l'option TLS !
    153                                 $this->SMTPAutoTLS = false;
    154                         }
     142                        if ($options['smtp_secure'] == 'ssl') {
     143                                $this->SMTPSecure = 'ssl';
     144                        }
     145                        if ($options['smtp_secure'] == 'tls') {
     146                                $this->SMTPSecure = 'tls';
     147                        }
     148
     149                        // Pour le moment on remet l'ancien fonctionnement :
     150                        // on ne doit pas tester les certificats si pas demandé explicitement avec l'option TLS !
     151                        $this->SMTPAutoTLS = false;
    155152                }
    156153               
  • _plugins_/facteur/trunk/paquet.xml

    r95471 r95472  
    22        prefix="facteur"
    33        categorie="communication"
    4         version="3.2.0"
     4        version="3.2.1"
    55        etat="stable"
    66        compatibilite="[3.0.0;3.1.*]"
Note: See TracChangeset for help on using the changeset viewer.